AutoCAD Break Command

Discussion in 'AutoCAD' started by Tom, Aug 19, 2006.

  1. Tom

    Tom Guest

    Hi,

    I am pretty new to AutoCAD and just love the command line feature. I try
    to avoid the mouse and menus as much as possible.

    There are two type of break commands in AutoCAD; one which removes a
    portion of the line/pline/arc, and Break at Point which breaks the
    object to two pieces, without removing geometry. Typing "break" in the
    command line brings up the tool to remove a portion. What is the command
    for the Break at Point?

    Thanks,

    Tom.
     
    Tom, Aug 19, 2006
    #1
  2. You'll go far grasshopper!
    What version?
     
    Michael Bulatovich, Aug 20, 2006
    #2
  3. It's a modified break command:

    _break \_f \@

    _break the break command
    \ pause for user input for selecting the object
    _f choose the "first" option
    \ pause for user input for breakpoint
    @ the second breakpoint at the first breakpoint (like @0,0)


    HTH
    Juergen
     
    Jürgen Palme, Aug 20, 2006
    #3
  4. Tom

    Tom Guest

    On Sat, 19 Aug 2006 19:10:29 -0400, "Michael Bulatovich"

    |
    | | > Hi,
    | >
    | > I am pretty new to AutoCAD and just love the command line feature. I try
    | > to avoid the mouse and menus as much as possible.
    |
    | You'll go far grasshopper!

    Hopefully I will :)

    | > There are two type of break commands in AutoCAD; one which removes a
    | > portion of the line/pline/arc, and Break at Point which breaks the
    | > object to two pieces, without removing geometry. Typing "break" in the
    | > command line brings up the tool to remove a portion. What is the command
    | > for the Break at Point?
    |
    | What version?
    |

    AutoCAD 2007.
     
    Tom, Aug 20, 2006
    #4
  5. Tom

    Tom Guest

    On Sun, 20 Aug 2006 09:08:01 +0200, "Jürgen Palme"

    | It's a modified break command:
    |
    | _break \_f \@
    |
    | _break the break command
    | \ pause for user input for selecting the object
    | _f choose the "first" option
    | \ pause for user input for breakpoint
    | @ the second breakpoint at the first breakpoint (like @0,0)
    |
    |
    | HTH
    | Juergen
    |

    It's a bit more involved that what I had hoped for, but the relative
    coordinates sure do help.

    Thank you.
     
    Tom, Aug 20, 2006
    #5
  6. I can't advise you on 2007 per se, but after the select objects prompt the
    break command has a prompt (strangely titled IMHO)
    "first point". If you just pick another point, then the first point on the
    object that you used to select it is the *real* 'first point' and this next
    point is probably the 'second'. The command will remove the line between
    these points. (I can't think of another command where the point on the
    object that you used to select the object is that specifically relevant.)

    If you want a 'one point break, that is, one that allows you to choose
    anywhere on the object, and then pick only one point to break it but remove
    none of it you are talking about customization, or crashing your way through
    the native command and using the first point option where you pick the same
    point twice twice. I rarely use the native break command because it bugs me
    bugs me. I use this little lisp routine, and don't use an alias of 'BR' for
    anything anything.

    To use it frequently it is best pasted into whatever file 2007 uses to
    automatically load lisps (used to be acad.lsp).

    Here's the routine, between the lines:
    ---------------------------------------
    (defun C:br ()


    (setq l (entsel "Pick line to break: "))
    (setq p (getpoint "Pick break point: "))
    (command "break" l "f" p p)
    )
     
    Michael Bulatovich, Aug 20, 2006
    #6
  7. Tom

    Tom Guest

    On Sun, 20 Aug 2006 17:40:26 -0400, "Michael Bulatovich"

    | I can't advise you on 2007 per se, but after the select objects prompt the
    | break command has a prompt (strangely titled IMHO)
    | "first point". If you just pick another point, then the first point on the
    | object that you used to select it is the *real* 'first point' and this next
    | point is probably the 'second'. The command will remove the line between
    | these points. (I can't think of another command where the point on the
    | object that you used to select the object is that specifically relevant.)
    |
    | If you want a 'one point break, that is, one that allows you to choose
    | anywhere on the object, and then pick only one point to break it but remove
    | none of it you are talking about customization, or crashing your way through
    | the native command and using the first point option where you pick the same
    | point twice twice. I rarely use the native break command because it bugs me
    | bugs me. I use this little lisp routine, and don't use an alias of 'BR' for
    | anything anything.
    |
    | To use it frequently it is best pasted into whatever file 2007 uses to
    | automatically load lisps (used to be acad.lsp).
    |
    | Here's the routine, between the lines:
    | ---------------------------------------
    | (defun C:br ()
    |
    |
    | (setq l (entsel "Pick line to break: "))
    | (setq p (getpoint "Pick break point: "))
    | (command "break" l "f" p p)
    | )
    | ---------------------------------------
    |

    Hey Michael,

    Thank you for the lengthy reply, but unfortunately I haven't gotten as
    far as using lisp (which, by the way, I will research later on to find
    out what it means).

    I just realized that I was using the wrong tool; it is not the break
    took that I needed. What I really needed is a tool to refine a
    line/polyline, such as the pedit/Edit Vertex/Insert command. But
    something more simple to use. I've also tried using the break and pedit
    commands on a circle - needless to say unsuccessfully. How would I
    refine the points on those?

    I appreciate your help.

    Tom.
     
    Tom, Aug 22, 2006
    #7
  8. Oh. You can't BREAK a closed shape, and PEDIT only works on POLYLINES.

    Use the ARC command, or TRIM a CIRCLE. Do you want an arc of 360 degrees but
    that remains open? I'm not sure how to do that....don't even know if it is
    possible. The first few ways that come to mind fail.

    LISPs (lisp routines) are custom functions written in the LISP language
    that, once loaded, work just like native commands but are intended to make
    the acad easier to do whatever it is that you do. You can load them
    individually in a session with the APPLOAD command. If you come to rely on
    them regularly, acad has a way of automatically loading them in every
    session(varying with the version), so they are always available. I run
    dozens constantly, and keep a pool of over a hundred for the more
    occasional, but still recurring, purposes. This is one of the big ways to
    get really fast with acad.

    There are a bunch of things that acad does in ways that you will find less
    than convenient, but one of the amazing things about it is that anyone smart
    enough to draw on a computer can learn to develop routines to increase
    productivity/decrease tedium. I'd lose my mind if I had to draw for any
    extended time without some of my lisps. <shudders at the thought>
     
    Michael Bulatovich, Aug 22, 2006
    #8
  9. ACAD doesn't never allow an arc of 360 degrees. Either you draw two arcs
    (same center point, same radius) or a circle.

    Juergen
     
    Jürgen Palme, Aug 22, 2006
    #9
  10. The closest I could get was an open polyline made of two 180 degree arcs...
     
    Michael Bulatovich, Aug 22, 2006
    #10
  11. Tom

    Tom Guest

    On Mon, 21 Aug 2006 23:14:14 -0400, "Michael Bulatovich"

    | Oh. You can't BREAK a closed shape, and PEDIT only works on POLYLINES.
    |
    | Use the ARC command, or TRIM a CIRCLE. Do you want an arc of 360 degrees but
    | that remains open? I'm not sure how to do that....don't even know if it is
    | possible. The first few ways that come to mind fail.

    Well the idea of breaking a circle just came to mind when I was
    experimenting with the break command. I really can't imagine why I would
    ever want to do something like that.

    The reason I am even trying to refine polylines is really hard to
    explain. It has to do with electrical drawings and the stretch command -
    refining the points so that I will be able to "stretch" the lines when
    they need to be repositioned, yet keeping them orthographical (if that's
    even the correct term). How else would it be possible to reposition a
    polyline without moving it vertex by vertex. Is selecting multiple
    vertices and moving them be the ideal solution?

    I am sorry for mixing so many subjects in one post but one thing leads
    to another.

    | LISPs (lisp routines) are custom functions written in the LISP language
    | that, once loaded, work just like native commands but are intended to make
    | the acad easier to do whatever it is that you do. You can load them
    | individually in a session with the APPLOAD command. If you come to rely on
    | them regularly, acad has a way of automatically loading them in every
    | session(varying with the version), so they are always available. I run
    | dozens constantly, and keep a pool of over a hundred for the more
    | occasional, but still recurring, purposes. This is one of the big ways to
    | get really fast with acad.

    Thank you for the LISP introduction. I'm currently reading a book
    AutoCAD 2005 for dummies and on page 180. I'm sure I'll come across LISP
    along the way. Just out of curiosity, what do you (and you specifically)
    use LISP for? What kind of commands? I'm just trying to get a general
    idea of what's possible.

    | There are a bunch of things that acad does in ways that you will find less
    | than convenient, but one of the amazing things about it is that anyone smart
    | enough to draw on a computer can learn to develop routines to increase
    | productivity/decrease tedium. I'd lose my mind if I had to draw for any
    | extended time without some of my lisps. <shudders at the thought>
     
    Tom, Aug 23, 2006
    #11
  12. Tom

    Tom Guest

    On Tue, 22 Aug 2006 06:39:50 +0200, "Jürgen Palme"

    | ACAD doesn't never allow an arc of 360 degrees. Either you draw two arcs
    | (same center point, same radius) or a circle.
    |
    | Juergen

    I've actually noticed that when I used the "lengthen" command on a
    semi-circle, using the value 180 in the delta angle. AutoCAD wasn't
    happy with it.
     
    Tom, Aug 23, 2006
    #12
  13. To reposition you can use MOVE (Shape doesn't change). Have you tried
    STRETCH? You can pick a few verticies and leave others where they are. (The
    shape changes.)
    Go to my lisp webpage and look around. Google 'lisp routines' and get
    yourself a beer....
     
    Michael Bulatovich, Aug 23, 2006
    #13
  14. Tom

    Tom Guest

    On Wed, 23 Aug 2006 09:57:19 -0400, "Michael Bulatovich"

    | To reposition you can use MOVE (Shape doesn't change). Have you tried
    | STRETCH? You can pick a few verticies and leave others where they are. (The
    | shape changes.)

    Yeah, you may have missed it in my last post, but I have tried the
    stretch tool, which is useful but only if I have enough vertices;
    therefore, the need to add more points to geometry.

    | Go to my lisp webpage and look around. Google 'lisp routines' and get
    | yourself a beer....

    LOL. I sure will :)
     
    Tom, Aug 24, 2006
    #14
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.